<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>Car Pricing Widget</title>
    <style>
      @import url('https://fonts.googleapis.com/css2?family=Roboto&display=swap');
    </style>
    <script src="https://code.iconify.design/3/3.0.0/iconify.min.js"></script>
    <style>
      .content {
        width: 600px;
        font-family: 'Roboto', sans-serif;
      }
      .location-info {
        display: flex;
        align-items: center;
        padding: 16px 24px;
        font-weight: 500;
        font-size: 14px;
        line-height: 20px;
        letter-spacing: .2px;
        border-bottom: 1px solid #c5cdd8;
        margin: 0 0 32px;
      }
      .location-icon {
        align-items: center;
        display: inline-flex;
        font-feature-settings: "liga";
        font-size: 24px;
        justify-content: center;
        letter-spacing: normal;
        line-height: 1;
        position: relative;
        text-indent: 0;
        transition: .3s cubic-bezier(.25,.8,.5,1),visibility 0s;
        vertical-align: middle;
        -webkit-user-select: none;
        -moz-user-select: none;
        -ms-user-select: none;
        user-select: none;
      }
      .selected-location {
        padding: 0 8px;
        color: #2e2e2e;
        width: 100%;
      }
      .change-location {
        text-decoration-line: underline;
        color: #3d82c3;
      }
      .title {
        font-size: 20px;
        line-height: 24px;
        letter-spacing: .2px;
        color: #000;
        margin-bottom: 24px;
      }
      .contact-detail {
        margin-bottom: 16px;
      }
      .contact-name {
        font-size: 14px;
        line-height: 20px;
        margin-bottom: 8px;
        font-weight: 500;
        letter-spacing: .2px;
        color: #2e2e2e;
      }
      .date-time {
        margin: 0 24px 24px;
      }
      .button {
        width: 75px;
        height: 70px;
      }
      .title-day {
        font-size: 10px;
        font-weight: 500;
        line-height: 16px;
        text-transform: uppercase;
        letter-spacing: .2px;
      }
      .title-date {
        font-size: 24px;
        font-weight: 700;
        line-height: 28px;
        letter-spacing: .2px;
        margin: 0;
      }
      .title-month {
        font-size: 10px;
        font-weight: 500;
        line-height: 16px;
        text-transform: uppercase;
        letter-spacing: .2px;
      }
      .date {
        display: flex;
        align-items: center;
        margin-bottom: 24px;
      }
      .swipe {
        font-size: 25px;
        font-weight: 700;
        font-stretch: 100%;
        color: #b2b2b2;
        margin-left: 5px;
        margin-right: 5px;
      }
      .time-tips {
        padding: 70px;
        font-weight: 400;
        font-size: 14px;
        line-height: 20px;
        text-align: center;
        letter-spacing: .2px;
        color: #696c71;
        padding: 60px 76px;
        background: #f4f6f8;
        border-radius: 4px;
      }
      .morning-afternoon-box {
        display: flex;
        justify-content: flex-start;
        margin-bottom: 4px;
      }
      .day-box {
        height: 45px;
        width: 258px;
        display: flex;
        align-items: center;
        justify-content: center;
        padding: 0.5em 1em;
        margin-bottom: -1px;
        color: #696c71;
        vertical-align: top;
        border-bottom: 4px solid transparent;
        cursor: pointer;
      }
      .icon {
        height: 24px;
        width: 24px;
      }
      .morning {
        background: url(https://uat-www.carsome.dev/_nuxt/img/icon-morning-blue.eab97e6.svg);
      }
      .afternoon {
        background: url(https://uat-www.carsome.dev/_nuxt/img/icon-afternoon.d7274a4.svg);
      }
      .time-slot {
        font-weight: 500;
        font-size: 14px;
        line-height: 16px;
        letter-spacing: .2px;
        color: #2e2e2e;
        cursor: pointer;
        padding: 7px 0;
        margin-bottom: 12px;
        border: 1px solid #b2b2b2;
        border-radius: 3px;
        box-sizing: border-box;
        width: 129px;
        height: 32px;
      }
      .contact-caption {
        font-size: 14px;
        line-height: 20px;
        margin-bottom: 8px;
        font-weight: 500;
        letter-spacing: .2px;
        color: #2e2e2e;
      }
      .input-field {
        width: 100%;
        max-width: 100%;
        padding: 14px 16px;
        border: 1px solid #b2b2b2;
        border-radius: 4px;
      }
      .step2 {
        margin: 0 24px 24px;
      }
      .txt-appointment {
        margin-top: 6px;
        font-size: 14px;
        font-weight: 400;
        line-height: 16px;
        letter-spacing: .4px;
        color: #959ca4;
      }
      .trade-in {
        margin: 24px 0;
        position: relative;
        padding: 16px 16px 16px 56px;
        background: #ecf3f9;
        border-radius: 4px;
        width: 520px;
      }
      .trade-in-input {
        display: block;
        width: 18px;
        height: 18px;
        border-radius: 4px;
        border: 2px solid #3d82c3;
        margin-right: 11px;
        flex-shrink: 0;
        position: absolute;
        left: 19px;
        top: 19px;
      }
      .trade-in-text {
        display: flex;
        flex-direction: column;
        font-size: 14px;
      }
      .trade-in-bold {
        font-weight: 700;
        margin-bottom: 12px;
      }
      .trade-in-img {
        width: 20px;
        height: 20px;
      }
      .book-now {
        width: 600px;
      }
      .book-btn {
        color: #696c71;
        background: #f4f6f8;
        cursor: not-allowed;
        width: 100%;
        padding: 14px 0;
        font-weight: 700;
        font-size: 16px;
        line-height: 20px;
        letter-spacing: .5px;
        border-radius: 4px;
      }
    </style>
  </head>
  <body>
    <div class="content">
      <div class="location-info">
        <span class="iconify location-icon" data-icon="entypo:location-pin"></span>
        <p class="selected-location">Carsome-Rawang</p>
        <a class="change-location">Change</a>
      </div>
      <h5 class="title" style="margin-left:24px">Select Date & Time</h5>
      <div class="date-time">
        <div class="date">
          <div class="swipe left">
            <span class="iconify" data-icon="akar-icons:chevron-left"></span>
          </div>
          <div class="date-list">
            <button class="button">
              <div class="title-day">Wed</div>
              <h4 class="title-date">26</h4>
              <div class="title-month">Oct</div>
            </button>
            <button class="button">
              <div class="title-day">Thur</div>
              <h4 class="title-date">27</h4>
              <div class="title-month">Oct</div>
            </button>
            <button class="button">
              <div class="title-day">Fri</div>
              <h4 class="title-date">28</h4>
              <div class="title-month">Oct</div>
            </button>
            <button class="button">
              <div class="title-day">Sat</div>
              <h4 class="title-date">29</h4>
              <div class="title-month">Oct</div>
            </button>
            <button class="button">
              <div class="title-day">Sun</div>
              <h4 class="title-date">30</h4>
              <div class="title-month">Oct</div>
            </button>
            <button class="button">
              <div class="title-day">Mon</div>
              <h4 class="title-date">31</h4>
              <div class="title-month">Oct</div>
            </button>
          </div>
          <div class="swipe right">
            <span class="iconify" data-icon="akar-icons:chevron-right"></span>
          </div>
        </div>
        <div class="time-list">
          <div class="time-tips">
            <p>Please select a date to view the available time</p>
          </div>
          <div class="morning-afternoon-box">
            <div class="day-box">
              <span class="icon morning"></span>
              <span class="time-label">Morning</span>
            </div>
            <div class="day-box">
              <span class="icon afternoon"></span>
              <span class="time-label">Afternoon</span>
            </div>
          </div>
          <div class="time-slot-list">
            <button class="time-slot">09:00 AM</button>
            <button class="time-slot">09:30 AM</button>
            <button class="time-slot">10:00 AM</button>
            <button class="time-slot">10:30 AM</button>
            <button class="time-slot">11:00 AM</button>
            <button class="time-slot">11:30 AM</button>
          </div>
        </div>
      </div>
      <div class="step2">
        <h5 class="title">Contact Details</h5>
        <div class="contact-detail">
            <p class="contact-caption">Name</p>
            <div>
              <input type="text" placeholder="Enter your name" value="" class="input-field"/>
            </div> 
        </div>
        <div class="contact-detail">
          <div class="contact-email">
            <p class="contact-caption">Your Email</p>
            <div>
              <input type="text" placeholder="johndoe@gmail.com" value="" class="input-field"/>
            </div>
            <p class="txt-appointment">Appointment details will be sent to this email</p>
          </div>
        </div>

        <div class="trade-in">
          <input type="checkbox" class="trade-in-input">
          <div class="trade-in-text">
            <b class="trade-in-bold">I’m interested to join CARSOME’s trade-in program.</b>
            <span class="trade-in-desc">Goodbye old friend, hello upgrade <img class="trade-in-img" src="https://uat-www.carsome.dev/_nuxt/img/car-icon.6c2da25.png"> Enjoy up to <b>RM1500 discount</b> with CARSOME Trade-in. <a>Learn more</a></span>
          </div>
        </div>

        <div class="book-now">
          <button disabled="disabled" class="book-btn">Book now</button>
        </div>
      </div>
    </div>
  </body>
</html>
